> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Insights (Sales Nav)

> - Get company insights from Linkedin sales navigator. 

 - 5 credits per call.



## OpenAPI

````yaml GET /get-company-insights
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-company-insights:
    get:
      description: |-
        - Get company insights from Linkedin sales navigator. 

         - 5 credits per call.
      parameters:
        - name: company_id
          in: query
          description: >-
            Learn how to [find a
            company_id](https://fdocs.info/tutorial/howto-find-company-id).
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyInsight'
        '400':
          description: Invalid company_id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidCompanyID'
        '404':
          description: ID not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IDNotFound'
        '503':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CompanyInsight:
      type: object
      properties:
        message:
          type: string
          example: ok
        data:
          type: object
          properties:
            headcount_by_function:
              type: string
              example:
                Administrative:
                  count: 5592
                  percentage: 2
                Arts and Design:
                  count: 6198
                  percentage: 3
                Business Development:
                  count: 9530
                  percentage: 4
                Consulting:
                  count: 3698
                  percentage: 2
                Customer Success and Support:
                  count: 5145
                  percentage: 2
                Education:
                  count: 4584
                  percentage: 2
                Engineering:
                  count: 93335
                  percentage: 38
                Human Resources:
                  count: 4330
                  percentage: 2
                Information Technology:
                  count: 29252
                  percentage: 12
                Marketing:
                  count: 4928
                  percentage: 2
                Operations:
                  count: 8343
                  percentage: 3
                Product Management:
                  count: 8635
                  percentage: 4
                Program and Project Management:
                  count: 19242
                  percentage: 8
                Research:
                  count: 4057
                  percentage: 2
                Sales:
                  count: 20092
                  percentage: 8
            headcount_growth:
              type: string
              example:
                1y: 2%
                2y: '-2%'
                6m: 0%
            headcount_growth_by_function:
              type: string
              example:
                Administrative:
                  1y: '-5%'
                  6m: '-5%'
                Arts and Design:
                  1y: 5%
                  6m: 2%
                Business Development:
                  1y: 0%
                  6m: '-1%'
                Consulting:
                  1y: '-4%'
                  6m: '-3%'
                Customer Success and Support:
                  1y: '-6%'
                  6m: '-4%'
                Education:
                  1y: 1%
                  6m: '-5%'
                Engineering:
                  1y: 4%
                  6m: 3%
                Human Resources:
                  1y: 8%
                  6m: '-3%'
                Information Technology:
                  1y: 3%
                  6m: 1%
                Marketing:
                  1y: '-3%'
                  6m: '-1%'
                Operations:
                  1y: 5%
                  6m: 2%
                Product Management:
                  1y: 3%
                  6m: 2%
                Program and Project Management:
                  1y: 2%
                  6m: 1%
                Research:
                  1y: 3%
                  6m: 2%
                Sales:
                  1y: 1%
                  6m: 0%
            job_openings:
              type: string
              example:
                job_openings_by_function:
                  - count_by_function:
                      Arts and Design:
                        count: 1258
                        percentage: 3
                      Business Development:
                        count: 1701
                        percentage: 4
                      Engineering:
                        count: 14851
                        percentage: 37
                      Human Resources:
                        count: 770
                        percentage: 2
                      Information Technology:
                        count: 6372
                        percentage: 16
                      Marketing:
                        count: 1146
                        percentage: 3
                      Operations:
                        count: 866
                        percentage: 2
                      Product Management:
                        count: 1901
                        percentage: 5
                      Program and Project Management:
                        count: 3187
                        percentage: 8
                      Research:
                        count: 932
                        percentage: 2
                      Sales:
                        count: 3902
                        percentage: 10
                      other:
                        count: 3466
                        percentage: 9
                    date: 2024-9-1
                    total_count: 40352
                  - count_by_function:
                      Arts and Design:
                        count: 1229
                        percentage: 4
                      Business Development:
                        count: 774
                        percentage: 3
                      Engineering:
                        count: 11574
                        percentage: 42
                      Human Resources:
                        count: 58
                        percentage: 0
                      Information Technology:
                        count: 4490
                        percentage: 16
                      Marketing:
                        count: 496
                        percentage: 2
                      Operations:
                        count: 532
                        percentage: 2
                      Product Management:
                        count: 990
                        percentage: 4
                      Program and Project Management:
                        count: 2586
                        percentage: 9
                      Research:
                        count: 509
                        percentage: 2
                      Sales:
                        count: 2196
                        percentage: 8
                      other:
                        count: 2282
                        percentage: 8
                    date: 2024-6-1
                    total_count: 27716
                  - count_by_function:
                      Arts and Design:
                        count: 437
                        percentage: 3
                      Business Development:
                        count: 263
                        percentage: 2
                      Engineering:
                        count: 6633
                        percentage: 46
                      Human Resources:
                        count: 82
                        percentage: 1
                      Information Technology:
                        count: 2105
                        percentage: 14
                      Marketing:
                        count: 145
                        percentage: 1
                      Operations:
                        count: 518
                        percentage: 4
                      Product Management:
                        count: 577
                        percentage: 4
                      Program and Project Management:
                        count: 1193
                        percentage: 8
                      Research:
                        count: 419
                        percentage: 3
                      Sales:
                        count: 667
                        percentage: 5
                      other:
                        count: 1497
                        percentage: 10
                    date: 2024-3-1
                    total_count: 14536
                  - count_by_function:
                      Arts and Design:
                        count: 62
                        percentage: 3
                      Business Development:
                        count: 75
                        percentage: 3
                      Engineering:
                        count: 893
                        percentage: 39
                      Human Resources:
                        count: 10
                        percentage: 0
                      Information Technology:
                        count: 308
                        percentage: 13
                      Marketing:
                        count: 36
                        percentage: 2
                      Operations:
                        count: 94
                        percentage: 4
                      Product Management:
                        count: 112
                        percentage: 5
                      Program and Project Management:
                        count: 236
                        percentage: 10
                      Research:
                        count: 39
                        percentage: 2
                      Sales:
                        count: 214
                        percentage: 9
                      other:
                        count: 228
                        percentage: 10
                    date: 2023-9-1
                    total_count: 2307
                job_openings_growth:
                  1y: 1649%
                  3m: 46%
                  6m: 178%
                job_openings_growth_by_function:
                  Arts and Design:
                    1y: 1929%
                    3m: 2%
                    6m: 188%
                  Business Development:
                    1y: 2168%
                    3m: 120%
                    6m: 547%
                  Engineering:
                    1y: 1563%
                    3m: 28%
                    6m: 124%
                  Human Resources:
                    1y: 7600%
                    3m: 1228%
                    6m: 839%
                  Information Technology:
                    1y: 1969%
                    3m: 42%
                    6m: 203%
                  Marketing:
                    1y: 3083%
                    3m: 131%
                    6m: 690%
                  Operations:
                    1y: 821%
                    3m: 63%
                    6m: 67%
                  Product Management:
                    1y: 1597%
                    3m: 92%
                    6m: 229%
                  Program and Project Management:
                    1y: 1250%
                    3m: 23%
                    6m: 167%
                  Research:
                    1y: 2290%
                    3m: 83%
                    6m: 122%
                  Sales:
                    1y: 1723%
                    3m: 78%
                    6m: 485%
            median_employee_tenure:
              type: number
              example: 4.5
            new_hires:
              type: array
              items:
                type: object
              example:
                - date: 2022-11
                  senior_hires: 0
                  total_hires: 2410
            total_employees:
              type: integer
              example: 244416
    InvalidCompanyID:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid company_id.'
    IDNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The id was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````